<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_221) on Tue Jan 19 16:20:21 PST 2021 -->
<title>org.apache.nutch.parse Class Hierarchy (apache-nutch 1.18 API)</title>
<meta name="date" content="2021-01-19">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.apache.nutch.parse Class Hierarchy (apache-nutch 1.18 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/apache/nutch/net/urlnormalizer/slash/package-tree.html">Prev</a></li>
<li><a href="../../../../org/apache/nutch/parse/ext/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/apache/nutch/parse/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 class="title">Hierarchy For Package org.apache.nutch.parse</h1>
<span class="packageHierarchyLabel">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="../../../../overview-tree.html">All Packages</a></li>
</ul>
</div>
<div class="contentContainer">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang"><span class="typeNameLink">Object</span></a>
<ul>
<li type="circle">org.apache.hadoop.conf.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configured.html?is-external=true" title="class or interface in org.apache.hadoop.conf"><span class="typeNameLink">Configured</span></a> (implements org.apache.hadoop.conf.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configurable.html?is-external=true" title="class or interface in org.apache.hadoop.conf">Configurable</a>)
<ul>
<li type="circle">org.apache.nutch.util.<a href="../../../../org/apache/nutch/util/AbstractChecker.html" title="class in org.apache.nutch.util"><span class="typeNameLink">AbstractChecker</span></a> (implements org.apache.hadoop.util.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/util/Tool.html?is-external=true" title="class or interface in org.apache.hadoop.util">Tool</a>)
<ul>
<li type="circle">org.apache.nutch.parse.<a href="../../../../org/apache/nutch/parse/ParserChecker.html" title="class in org.apache.nutch.parse"><span class="typeNameLink">ParserChecker</span></a></li>
</ul>
</li>
<li type="circle">org.apache.nutch.util.<a href="../../../../org/apache/nutch/util/NutchTool.html" title="class in org.apache.nutch.util"><span class="typeNameLink">NutchTool</span></a>
<ul>
<li type="circle">org.apache.nutch.parse.<a href="../../../../org/apache/nutch/parse/ParseSegment.html" title="class in org.apache.nutch.parse"><span class="typeNameLink">ParseSegment</span></a> (implements org.apache.hadoop.util.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/util/Tool.html?is-external=true" title="class or interface in org.apache.hadoop.util">Tool</a>)</li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.apache.nutch.parse.<a href="../../../../org/apache/nutch/parse/HTMLMetaTags.html" title="class in org.apache.nutch.parse"><span class="typeNameLink">HTMLMetaTags</span></a></li>
<li type="circle">org.apache.nutch.parse.<a href="../../../../org/apache/nutch/parse/HtmlParseFilters.html" title="class in org.apache.nutch.parse"><span class="typeNameLink">HtmlParseFilters</span></a></li>
<li type="circle">org.apache.hadoop.mapreduce.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/Mapper.html?is-external=true" title="class or interface in org.apache.hadoop.mapreduce"><span class="typeNameLink">Mapper</span></a>&lt;KEYIN,VALUEIN,KEYOUT,VALUEOUT&gt;
<ul>
<li type="circle">org.apache.nutch.parse.<a href="../../../../org/apache/nutch/parse/ParseSegment.ParseSegmentMapper.html" title="class in org.apache.nutch.parse"><span class="typeNameLink">ParseSegment.ParseSegmentMapper</span></a></li>
</ul>
</li>
<li type="circle">org.apache.nutch.parse.<a href="../../../../org/apache/nutch/parse/Outlink.html" title="class in org.apache.nutch.parse"><span class="typeNameLink">Outlink</span></a> (implements org.apache.hadoop.io.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Writable.html?is-external=true" title="class or interface in org.apache.hadoop.io">Writable</a>)</li>
<li type="circle">org.apache.nutch.parse.<a href="../../../../org/apache/nutch/parse/OutlinkExtractor.html" title="class in org.apache.nutch.parse"><span class="typeNameLink">OutlinkExtractor</span></a></li>
<li type="circle">org.apache.hadoop.mapreduce.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/OutputFormat.html?is-external=true" title="class or interface in org.apache.hadoop.mapreduce"><span class="typeNameLink">OutputFormat</span></a>&lt;K,V&gt;
<ul>
<li type="circle">org.apache.nutch.parse.<a href="../../../../org/apache/nutch/parse/ParseOutputFormat.html" title="class in org.apache.nutch.parse"><span class="typeNameLink">ParseOutputFormat</span></a></li>
</ul>
</li>
<li type="circle">org.apache.nutch.parse.<a href="../../../../org/apache/nutch/parse/ParseImpl.html" title="class in org.apache.nutch.parse"><span class="typeNameLink">ParseImpl</span></a> (implements org.apache.nutch.parse.<a href="../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a>, org.apache.hadoop.io.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Writable.html?is-external=true" title="class or interface in org.apache.hadoop.io">Writable</a>)</li>
<li type="circle">org.apache.nutch.parse.<a href="../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse"><span class="typeNameLink">ParseResult</span></a> (implements java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;T&gt;)</li>
<li type="circle">org.apache.nutch.parse.<a href="../../../../org/apache/nutch/parse/ParserFactory.html" title="class in org.apache.nutch.parse"><span class="typeNameLink">ParserFactory</span></a></li>
<li type="circle">org.apache.nutch.parse.<a href="../../../../org/apache/nutch/parse/ParseStatus.html" title="class in org.apache.nutch.parse"><span class="typeNameLink">ParseStatus</span></a> (implements org.apache.hadoop.io.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Writable.html?is-external=true" title="class or interface in org.apache.hadoop.io">Writable</a>)</li>
<li type="circle">org.apache.nutch.parse.<a href="../../../../org/apache/nutch/parse/ParseText.html" title="class in org.apache.nutch.parse"><span class="typeNameLink">ParseText</span></a> (implements org.apache.hadoop.io.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Writable.html?is-external=true" title="class or interface in org.apache.hadoop.io">Writable</a>)</li>
<li type="circle">org.apache.nutch.parse.<a href="../../../../org/apache/nutch/parse/ParseUtil.html" title="class in org.apache.nutch.parse"><span class="typeNameLink">ParseUtil</span></a></li>
<li type="circle">org.apache.hadoop.mapreduce.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/Reducer.html?is-external=true" title="class or interface in org.apache.hadoop.mapreduce"><span class="typeNameLink">Reducer</span></a>&lt;KEYIN,VALUEIN,KEYOUT,VALUEOUT&gt;
<ul>
<li type="circle">org.apache.nutch.parse.<a href="../../../../org/apache/nutch/parse/ParseSegment.ParseSegmentReducer.html" title="class in org.apache.nutch.parse"><span class="typeNameLink">ParseSegment.ParseSegmentReducer</span></a></li>
</ul>
</li>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Throwable.html?is-external=true" title="class or interface in java.lang"><span class="typeNameLink">Throwable</span></a> (implements java.io.<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)
<ul>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Exception.html?is-external=true" title="class or interface in java.lang"><span class="typeNameLink">Exception</span></a>
<ul>
<li type="circle">org.apache.nutch.parse.<a href="../../../../org/apache/nutch/parse/ParseException.html" title="class in org.apache.nutch.parse"><span class="typeNameLink">ParseException</span></a>
<ul>
<li type="circle">org.apache.nutch.parse.<a href="../../../../org/apache/nutch/parse/ParserNotFound.html" title="class in org.apache.nutch.parse"><span class="typeNameLink">ParserNotFound</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.apache.hadoop.io.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/VersionedWritable.html?is-external=true" title="class or interface in org.apache.hadoop.io"><span class="typeNameLink">VersionedWritable</span></a> (implements org.apache.hadoop.io.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Writable.html?is-external=true" title="class or interface in org.apache.hadoop.io">Writable</a>)
<ul>
<li type="circle">org.apache.nutch.parse.<a href="../../../../org/apache/nutch/parse/ParseData.html" title="class in org.apache.nutch.parse"><span class="typeNameLink">ParseData</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
<h2 title="Interface Hierarchy">Interface Hierarchy</h2>
<ul>
<li type="circle">org.apache.hadoop.conf.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configurable.html?is-external=true" title="class or interface in org.apache.hadoop.conf"><span class="typeNameLink">Configurable</span></a>
<ul>
<li type="circle">org.apache.nutch.parse.<a href="../../../../org/apache/nutch/parse/HtmlParseFilter.html" title="interface in org.apache.nutch.parse"><span class="typeNameLink">HtmlParseFilter</span></a> (also extends org.apache.nutch.plugin.<a href="../../../../org/apache/nutch/plugin/Pluggable.html" title="interface in org.apache.nutch.plugin">Pluggable</a>)</li>
<li type="circle">org.apache.nutch.parse.<a href="../../../../org/apache/nutch/parse/Parser.html" title="interface in org.apache.nutch.parse"><span class="typeNameLink">Parser</span></a> (also extends org.apache.nutch.plugin.<a href="../../../../org/apache/nutch/plugin/Pluggable.html" title="interface in org.apache.nutch.plugin">Pluggable</a>)</li>
</ul>
</li>
<li type="circle">org.apache.nutch.parse.<a href="../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse"><span class="typeNameLink">Parse</span></a></li>
<li type="circle">org.apache.nutch.plugin.<a href="../../../../org/apache/nutch/plugin/Pluggable.html" title="interface in org.apache.nutch.plugin"><span class="typeNameLink">Pluggable</span></a>
<ul>
<li type="circle">org.apache.nutch.parse.<a href="../../../../org/apache/nutch/parse/HtmlParseFilter.html" title="interface in org.apache.nutch.parse"><span class="typeNameLink">HtmlParseFilter</span></a> (also extends org.apache.hadoop.conf.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configurable.html?is-external=true" title="class or interface in org.apache.hadoop.conf">Configurable</a>)</li>
<li type="circle">org.apache.nutch.parse.<a href="../../../../org/apache/nutch/parse/Parser.html" title="interface in org.apache.nutch.parse"><span class="typeNameLink">Parser</span></a> (also extends org.apache.hadoop.conf.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configurable.html?is-external=true" title="class or interface in org.apache.hadoop.conf">Configurable</a>)</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/apache/nutch/net/urlnormalizer/slash/package-tree.html">Prev</a></li>
<li><a href="../../../../org/apache/nutch/parse/ext/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/apache/nutch/parse/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2021 The Apache Software Foundation</small></p>
</body>
</html>
